package cn.palmte.work.model;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 项目预算收入明细表
 */
@Entity
@Table(name = "project_budget_income_plan_detail_temp")
public class ProjectBudgetIncomePlanDetailTemp extends ProjectBudgetIncomePlanDetailBase{
    public  ProjectBudgetIncomePlanDetail toProjectBudgetIncomePlanDetail(){
        ProjectBudgetIncomePlanDetail projectBudgetIncomePlanDetail = new ProjectBudgetIncomePlanDetail();
        projectBudgetIncomePlanDetail.setProjectId(getProjectId());
        projectBudgetIncomePlanDetail.setReceivePoint(getReceivePoint());
        projectBudgetIncomePlanDetail.setReceiveTime(getReceiveTime());
        projectBudgetIncomePlanDetail.setReceiveAmount(getReceiveAmount());
        return projectBudgetIncomePlanDetail;
    }
}